#ifndef GWOVERVIEWWIDGETDATA_H
#define GWOVERVIEWWIDGETDATA_H

#include <qvariant.h>


#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_GWOverviewWidgetData
{
public:
    QVBoxLayout *vboxLayout;
    Q3Frame *frame8_2;
    QHBoxLayout *hboxLayout;
    Q3Frame *frame8;
    QGridLayout *gridLayout;

    void setupUi(QWidget *GWOverviewWidgetData)
    {
    if (GWOverviewWidgetData->objectName().isEmpty())
        GWOverviewWidgetData->setObjectName(QString::fromUtf8("GWOverviewWidgetData"));
    GWOverviewWidgetData->resize(339, 268);
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(GWOverviewWidgetData->sizePolicy().hasHeightForWidth());
    GWOverviewWidgetData->setSizePolicy(sizePolicy);
    GWOverviewWidgetData->setMinimumSize(QSize(132, 132));
    vboxLayout = new QVBoxLayout(GWOverviewWidgetData);
    vboxLayout->setSpacing(0);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    frame8_2 = new Q3Frame(GWOverviewWidgetData);
    frame8_2->setObjectName(QString::fromUtf8("frame8_2"));
    sizePolicy.setHeightForWidth(frame8_2->sizePolicy().hasHeightForWidth());
    frame8_2->setSizePolicy(sizePolicy);
    frame8_2->setFrameShape(Q3Frame::StyledPanel);
    frame8_2->setFrameShadow(Q3Frame::Raised);
    hboxLayout = new QHBoxLayout(frame8_2);
    hboxLayout->setSpacing(1);
    hboxLayout->setMargin(1);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    frame8 = new Q3Frame(frame8_2);
    frame8->setObjectName(QString::fromUtf8("frame8"));
    frame8->setMinimumSize(QSize(132, 132));
    frame8->setMaximumSize(QSize(32000, 32000));
    frame8->setFrameShape(Q3Frame::PopupPanel);
    frame8->setFrameShadow(Q3Frame::Sunken);
    frame8->setLineWidth(0);
    gridLayout = new QGridLayout(frame8);
    gridLayout->setSpacing(0);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));

    hboxLayout->addWidget(frame8);


    vboxLayout->addWidget(frame8_2);


    retranslateUi(GWOverviewWidgetData);

    QMetaObject::connectSlotsByName(GWOverviewWidgetData);
    } // setupUi

    void retranslateUi(QWidget *GWOverviewWidgetData)
    {
    GWOverviewWidgetData->setWindowTitle(QApplication::translate("GWOverviewWidgetData", "OverviewWidget", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(GWOverviewWidgetData);
    } // retranslateUi

};

namespace Ui {
    class GWOverviewWidgetData: public Ui_GWOverviewWidgetData {};
} // namespace Ui

class GWOverviewWidgetData : public QWidget, public Ui::GWOverviewWidgetData
{
    Q_OBJECT

public:
    GWOverviewWidgetData(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~GWOverviewWidgetData();

public slots:
    virtual void updateView();
    virtual void backColor();

protected slots:
    virtual void languageChange();

};

#endif // GWOVERVIEWWIDGETDATA_H
